<?php 
    if(isset($_GET['id']) && !empty($_GET['id'])) {
        $cronApi   	    = new Cron($db, $utils);
        $cronApi->deleteJob($_GET['id']);
        $session->data['messageType'] = "success"; 
        $session->data['messageTitle'] = "Başarılı!"; 
        $session->data['message'] = "Zamanlanmış görev başarıyla silindi."; 

        if(isset($_GET['redirect']) && !empty($_GET['redirect'])) {
            header('Location: ' . $_GET['redirect']);
            exit();
        }else{
            header('Location: /admin/cron');
            exit();
        }
    }else{
        $session->data['messageType'] = "error"; 
        $session->data['messageTitle'] = "Hata!"; 
        $session->data['message'] = "Bir hata oluştu ve zamanlanmış görev silinemedi."; 

        header('Location: /admin/cron');
        exit();
    }